Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package util
  Definition Classes
    nsc
- CharArrayReader
- CharArrayReaderData
- ClassPath
- ClassRepresentation
- DefaultJarFactory
- DirectoryClassPath
- DocStrings
- EditDistance
- EfficientClassPath
- EfficientClassPathCallBack
- EmptyAction
- Exceptional
- FailedInterrupt
- InterruptReq
- JarFactory
- JavaCharArrayReader
- JavaClassPath
- MergedClassPath
- ShowPickled
- SimpleTracer
- StackTraceOps
- StringUtil
- WorkScheduler
- quickie stack dump

o

scala.tools.nsc.util

# ShowPickled

###

#### object ShowPickled extends Names

Source
  ShowPickled.scala

Linear Supertypes
Names, Names, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ShowPickled
2. Names
3. Names
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  sealed abstract class Name extends reflect.internal.Names.NameApi with NameHasIsEmpty with CharSequence
   Definition Classes
     Names
2.  abstract class NameApi extends AnyRef
   Definition Classes
     Names
3.  sealed trait NameHasIsEmpty extends AnyRef
   Definition Classes
     Names
4.  case class PickleBufferEntry(num: Int, startIndex: Int, tag: Int, bytes: Array[Byte]) extends Product with Serializable
5.  case class PickleBufferEntryList(entries: IndexedSeq[PickleBufferEntry]) extends Product with Serializable
6.  final class TermName extends Name with reflect.internal.Names.TermNameApi
   Definition Classes
     Names
7.  trait TermNameApi extends AnyRef
   Definition Classes
     Names
8.  abstract class TermNameExtractor extends AnyRef
   Definition Classes
     Names
9.  final class TypeName extends Name with reflect.internal.Names.TypeNameApi
   Definition Classes
     Names
10.  trait TypeNameApi extends AnyRef
    Definition Classes
      Names
11.  abstract class TypeNameExtractor extends AnyRef
    Definition Classes
      Names

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  implicit val NameTag: ClassTag[Name]
   Definition Classes
     Names
5.  implicit val TermNameTag: ClassTag[TermName]
   Definition Classes
     Names
6.  implicit val TypeNameTag: ClassTag[TypeName]
   Definition Classes
     Names
7.  final def allNames(): Iterator[TermName]
   Definition Classes
     Names
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  def fromBytes(data: => Array[Byte]): Option[PickleBuffer]
14.  def fromFile(path: String): Option[PickleBuffer]
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def lookupTypeName(cs: Array[Char]): TypeName
    Definition Classes
      Names
19.  def main(args: Array[String]): Unit
20.  def makeEntryList(buf: PickleBuffer, index: Array[Int]): PickleBufferEntryList
21.  final val nameDebug: Boolean(false)
    Definition Classes
      Names
22.  final def nameTableSize: Int
    Definition Classes
      Names
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def newTermName(bs: Array[Byte], offset: Int, len: Int): TermName
    Definition Classes
      Names
25.  def newTermName(s: String): TermName
    Definition Classes
      Names → Names
    Annotations
      @deprecatedOverriding("To synchronize, use `override def synchronizeNames = true`", "2.11.0")
26.  final def newTermName(cs: Array[Char], offset: Int, len0: Int, cachedString: String): TermName
    Definition Classes
      Names
27.  final def newTermName(cs: Array[Char]): TermName
    Definition Classes
      Names
28.  final def newTermName(cs: Array[Char], offset: Int, len: Int): TermName
    Definition Classes
      Names
29.  final def newTermNameCached(s: String): TermName
    Definition Classes
      Names
30.  final def newTypeName(bs: Array[Byte], offset: Int, len: Int): TypeName
    Definition Classes
      Names
31.  final def newTypeName(cs: Array[Char], offset: Int, len: Int): TypeName
    Definition Classes
      Names
32.  def newTypeName(s: String): TypeName
    Definition Classes
      Names → Names
    Annotations
      @deprecatedOverriding("To synchronize, use `override def synchronizeNames = true`", "2.11.0")
33.  final def newTypeName(cs: Array[Char], offset: Int, len: Int, cachedString: String): TypeName
    Definition Classes
      Names
34.  final def newTypeName(cs: Array[Char]): TypeName
    Definition Classes
      Names
35.  final def newTypeNameCached(s: String): TypeName
    Definition Classes
      Names
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  def printFile(buf: PickleBuffer, out: PrintStream): Unit
39.  def readNat(data: Array[Byte], index: Int): Int

    Extremely regrettably, essentially copied from PickleBuffer.

40.  def show(what: String, pickle: PickleBuffer): Unit
41.  def synchronizeNames: Boolean
    Attributes
      protected
    Definition Classes
      Names
42.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
43.  def tag2string(tag: Int): String
44.  def toString(): String
    Definition Classes
      AnyRef → Any
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
48.  object TermName extends reflect.internal.Names.TermNameExtractor
    Definition Classes
      Names → Names
49.  object TypeName extends reflect.internal.Names.TypeNameExtractor
    Definition Classes
      Names → Names

### Deprecated Value Members

1.  def chrs: Array[Char]
   Definition Classes
     Names
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.9) Don't access name table contents directly.

2.  def chrs_=(cs: Array[Char]): Unit
   Definition Classes
     Names
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.9) Don't access name table contents directly.

3.  def stringToTermName(s: String): TermName
   Definition Classes
     Names
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) use `TermName(s)` instead

4.  def stringToTypeName(s: String): TypeName
   Definition Classes
     Names
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) use `TypeName(s)` instead

### Inherited from Names

### Inherited from AnyRef

### Inherited from Any

### Ungrouped